# Command: run

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    run - execute a sli file

Synopsis:

    string run ->	-

Examples:

      (MySli.sli) run	 --> execute file MySli, assuming it
      exists in the search path entries.
      ( /MySliRoutines/DoIt) run --> execute file, ignoring search pathes

Description:

      Opens the file specified via file operator and executes it.

Parameters:

      string is the filename, either with complete path or found within
      one of the SLISerachPath pathes.
      The extension (.sli) may be omitted.

Bugs:

Remarks:

    Commented Hehl April 21, 1999

Author:

    Gewaltig, Diesmann

FirstVersion:

    ??

SeeAlso:

- exec
- file

Source:

    /opt/conda/conda-bld/nest_1512418773968/work/nest-2.14.0/lib/sli/sli-init.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative